apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: busybox
  name: busybox
spec:
  replicas: 1
  selector:
    matchLabels:
      app: busybox
  template:
    metadata:
      labels:
        app: busybox
    spec:
      containers:
        - name: main
          image:  k8s.gcr.io/busybox
          volumeMounts:
            - mountPath: "/cache/"
              name: pv-test-busybox
          args:
            - /bin/sh
            - -c
            - ls /cache/; touch /cache/"$(date +%s)"_"$HOSTNAME"; sleep 3600;
      volumes:
        - name: pv-test-busybox
          persistentVolumeClaim:
            claimName: pvc-test-busybox
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: pv-busybox-test
spec:
  accessModes:
    - ReadWriteOnce
  resources:
    requests:
      storage: 3Gi